%global bundle org.apache.felix.framework

Name:           felix-framework
Version:        5.4.0
Release:        %mkrel 4
Group:          Development/Java
Summary:        Apache Felix Framework
License:        ASL 2.0
URL:            http://felix.apache.org
Source0:        http://www.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:felix-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.resolver) >= 1.8.0
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.apache.rat:apache-rat-plugin)
BuildRequires:  mvn(org.osgi:org.osgi.annotation)
BuildRequires:  mvn(org.ow2.asm:asm-all)
BuildRequires:  mvn(org.easymock:easymock)
BuildRequires:  mvn(org.mockito:mockito-all)

%description
Apache Felix Framework Interfaces and Classes.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

# This test needs porting to easymock3
rm src/test/java/org/apache/felix/framework/ServiceRegistryTest.java

# This test fails when run on arm builders
rm src/test/java/org/apache/felix/framework/ConcurrencyTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 5.4.0-4.mga6
+ Revision: 982356
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 5.4.0-3.mga6
+ Revision: 976239
- First rebuild of the java stack
- sync package felix-framework with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Feb 20 2015 pterjan <pterjan> 4.6.0-1.mga5
+ Revision: 816045
- Update to 4.6.0

* Sat Dec 27 2014 pterjan <pterjan> 4.4.1-7.mga5
+ Revision: 806505
- Fix group
- Clean rebuild
- Clean rebuild
- Clean rebuild
- Clean rebuild
- Clean rebuild
- Sync with Fedora 21 (Update to 4.4.1)
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 4.2.1-5.mga5
+ Revision: 751260
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Jan 07 2014 dmorgan <dmorgan> 4.2.1-3.mga4
+ Revision: 565463
- Fix BuildRequires

* Tue Oct 22 2013 umeabot <umeabot> 4.2.1-2.mga4
+ Revision: 544837
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 4.2.1-1.mga4
+ Revision: 500358
- New version

* Fri Jan 11 2013 umeabot <umeabot> 4.0.2-3.mga3
+ Revision: 350114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 03 2012 tavvva <tavvva> 4.0.2-2.mga3
+ Revision: 266850
- trying to debug with -X
- making xpp3 mandatory
- Building with xpp3 dependency

  + dmorgan <dmorgan>
    - New version 4.0.2

* Thu Apr 28 2011 dmorgan <dmorgan> 2.0.5-6.mga1
+ Revision: 92436
- Rebuild after bootstrapping
- imported package felix-framework


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 12 2010 Mat Booth <fedora@matbooth.co.uk> - 2.0.5-4
- Fix pom filename (Resolves rhbz#655798)
- Fix various packaging things according to new guidelines

* Tue Jul 13 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.0.5-3
- BR: maven-invoker-plugin required for maven-javadoc-plugin
- Use new names of the maven plgins
- Add license file to independent subpackage javadoc

* Tue Jul 13 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.0.5-2
- Use maven instead of ant

* Tue Jun 22 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.0.5-1
- Release 2.0.5
